package com.oo.eye.mvp;

import com.oo.eye.mvp.contract.EyeChartsContract;
import com.oo.eye.mvp.contract.EyeHistroyContract;
import com.oo.eye.mvp.contract.EyeMainContract;
import com.oo.eye.mvp.contract.EyeTestContract;
import com.oo.eye.mvp.presenter.EyeChartsPresenter;
import com.oo.eye.mvp.presenter.EyeHistroyPresenter;
import com.oo.eye.mvp.presenter.EyeMainPresenter;
import com.oo.eye.mvp.presenter.EyeTestPresenter;

/**
 * Created by xucon on 2017/12/26.
 */

public class PresenterFactory {

	public static void createEyeTestPresenter(EyeTestContract.View view){
		new EyeTestPresenter(view);
	}

	public static void createEyeHistroyPresenter(EyeHistroyContract.View view){
		new EyeHistroyPresenter(view);
	}

	public static void createEyeChartsPresenter(EyeChartsContract.View view){
		new EyeChartsPresenter(view);
	}

	public static EyeMainContract.Presenter createEyeMainPresenter(EyeMainContract.View view){
		return new EyeMainPresenter(view);
	}
}
